## budgie-extras 0.8.3

=== meson_options.txt ===
option('build-all', type: 'boolean', value: true, description: 'Build all applets')
option('build-wpreviews', type: 'boolean', value: false, description: 'Build windows previews applet')
option('build-wswitcher', type: 'boolean', value: false, description: 'Build workspace switcher applet')
option('build-hotcorners', type: 'boolean', value: false, description: 'Build hotcorners applet')
option('build-quicknote', type: 'boolean', value: false, description: 'Build quicknote applet')
option('build-wmover', type: 'boolean', value: false, description: 'Build Window & Desktop Mover applet')
option('build-wsoverview', type: 'boolean', value: false, description: 'Build Workspaces and windows overview applet')
option('build-showtime', type: 'boolean', value: false, description: 'Build Showtime applet')
option('build-countdown', type: 'boolean', value: false, description: 'Build Countdown applet')
option('build-keyboard-autoswitch', type: 'boolean', value: false, description: 'Build Keyboard autoswitch applet')
option('build-rotation-lock', type: 'boolean', value: false, description: 'Build screen rotation lock applet')
option('build-clockworks', type: 'boolean', value: false, description: 'Build clockworks applet')
option('build-dropby', type: 'boolean', value: false, description: 'Build dropby applet')
option('build-kangaroo', type: 'boolean', value: false, description: 'Build kangaroo applet')
option('build-weathershow', type: 'boolean', value: false, description: 'Build show weather applet')
option('build-trash', type: 'boolean', value: false, description: 'Build trash applet')
option('build-app-launcher', type: 'boolean', value: false, description: 'Build app-launcher applet')
option('build-recentlyused', type: 'boolean', value: false, description: 'Build recently-used applet')
option('build-takeabreak', type: 'boolean', value: false, description: 'Build take-a-break applet')

## budgie-extras 0.4.4

=== debian/changelog ===
budgie-extras (0.4.4-0ubuntu1) bionic; urgency=medium

  * Bug-fix release
    - Clockworks should always have at least one clock
    - Window Previews no longer displays multiple times when invoked through hot-corners
    - Window Previews per app display with the correct shortcut key as advertised in settings
    - Distinguish between a mouse hover and an Alt+Tab by changing the border-style;
      previously both displayed with the same border-style which caused visual confusion
    - Don't display dates with a prefix of zero

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 08 Apr 2018 16:39:33 +0100

budgie-extras (0.4.3-0ubuntu1) bionic; urgency=medium

  * Bug-fix release
    - fixes described in the ChangeLog
  * Packaging Changes
    - drop existing patches

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 29 Mar 2018 18:22:57 +0100

budgie-extras (0.4.2-1ubuntu1) bionic; urgency=medium

  * Bug-fix release
    - add missing previews wrapper
  * Packaging Changes
    - add patch previews_missing_wrapper.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 04 Mar 2018 22:46:16 +0000

budgie-extras (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * Packaging Changes:
    - debian/control and debian/compat: update to v11
    - debian/control: Bump Standards-Version - no changes required
    - debian/control: new binary packages budgie-rotation-lock-applet,
      budgie-clockworks-applet,
      budgie-dropby-applet
    - debian/copyright: 2018 year updates
    - debian/rules remove ninja make rules since debhelper can deal
      with meson builds
    - debian/rules check DEB_BUILD_OPTIONS for autotest
    - remove not needed debian/files
    - signing key; move and rename to debian/upstream

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 25 Feb 2018 19:50:17 +0000

budgie-extras (0.3.0-1) unstable; urgency=medium

  * Initial Release (Closes: #883720)

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 06 Dec 2017 20:20:57 +0000

=== debian/control ===
Source: budgie-extras
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 11),
		python3,
		meson,
		dh-python,
		pep8,
		pkg-config
Standards-Version: 4.1.3
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
Homepage: https://ubuntubudgie.org

Package: budgie-hotcorners-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	xdotool,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	dconf-cli,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing hotcorners capabilities for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The hotcorners applet allow user defined commands to be executed
 when the mouse cursor is pushed into a corner of the main desktop.

Package: budgie-quicknote-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing simple notes capability for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The quicknote applet allows a user to record a text based note.
 The applet supports multiple undo and redo capabilities.

Package: budgie-previews-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	xdotool,
	xprintidle,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	python3-cairo,
	python3-gi-cairo,
	dconf-cli,
	imagemagick,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing window previews capabilities for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Previews applet shows an overview of windows in an expose like way.

Package: budgie-workspace-overview-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing quick access to workspaces for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The workspace overview applet allows a user to quickly navigate
 workspaces using the applet's menu.  Optionally, navigation to any
 window in any workspace is possible.

Package: budgie-workspace-wallpaper-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	dconf-cli,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing per workspace wallpaper
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The workspace wallpaper applet shows a different wallpaper on each of
 the workspaces. Usage is simple: add the applet to the panel and set
 wallpapers on each of the workspaces in the way you are used to.
 The applet will remember what wallpaper was set on each of the
 workspaces.

Package: budgie-window-mover-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	xdotool,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	dconf-cli,
	${misc:Depends}, ${python3:Depends}
Description: Applet allows moving windows between workspaces for the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Window Mover applet allows the user to quickly move windows to any
 of the other workspaces. Just drag a window to the bottom of the screen
 and a bar will popup, representing the workspaces. Click on
 any of the numbers (or press the corresponding number on the keyboard)
 and the window will move to that workspace.

Package: budgie-showtime-applet
Architecture: all
Depends: python3,
	python3-gi,
	wmctrl,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	python3-cairo,
	python3-gi-cairo,
	${misc:Depends}, ${python3:Depends}
Description: Applet displaying date and time on the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The ShowTime applet is a digital desktop clock, showing time and/or
 date.  Text color of both the displayed time and date can be set
 separately from the applet's menu

Package: budgie-countdown-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	vorbis-tools,
	zenity,
	dconf-cli,
	sound-theme-freedesktop,
	${misc:Depends}, ${python3:Depends}
Description: Applet providing a countdown capability on the Budgie Desktop
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Countdown applet provides the user the ability to start an
 action when the countdown reaches 0 seconds. Actions include flashing
 an icon in the panel, opening a notification window, sounding a
 bell or running a custom command.

Package: budgie-keyboard-autoswitch-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	${misc:Depends}, ${python3:Depends}
Description: Applet adding the ability to set a different keyboard layout per application
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Keyboard Auto Switcher applet provides the user the ability to set
 a different keyboard layout per application. Exceptions to the default
 layout can be set by simply choosing a different layout using the
 Keyboard Layout applet.

Package: budgie-rotation-lock-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	${misc:Depends}, ${python3:Depends}
Description: Applet to lock or unlock the screen rotation
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Rotation Lock applet provides the user an easy way to lock or
 unlock the screen rotation.

Package: budgie-clockworks-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-pil,
	python3-svgwrite,
	python3-cairosvg,
	${misc:Depends}, ${python3:Depends}
Description: Applet to display clock across multiple time zones
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Clockworks applet displays the current time across multiple
 time zones.

Package: budgie-dropby-applet
Architecture: all
Depends: python3,
	python3-gi,
	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
	gir1.2-glib-2.0,
	gir1.2-gtk-3.0,
	python3-psutil,
	python3-pyudev,
	zenity,
	${misc:Depends}, ${python3:Depends}
Description: Applet to popup when a USB device is connected
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The DropBy applet pops up in the panel when connecting a usb device.
 The applet subsequently offers the option(s) to mount, unmount/eject
 and in case of a flash drive, to make a local copy of the drive's
 content. The info shows the free space on the volume.
 .
 The applet is context- sensitive, meaning: it only shows its icon in
 the panel if, and as long as, any usb drive is connected.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/ubuntubudgie/budgie-extras/releases .*/budgie-extras-([0-9.]+)\.tar\.xz

## budgie-extras 0.6.1

=== debian/changelog ===
budgie-extras (0.6.1-2) unstable; urgency=medium

  * Bug-fix release
    - patch 0002-Fixed-dropby-not-popping-up.patch
      Ensure Dropby pops up when a USB device is detected

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 07 Oct 2018 22:54:24 +0100

budgie-extras (0.6.1-1) unstable; urgency=medium

  * New upstream release
    - see ChangeLog for details
  * Issues Resolved:
    - fix showtime crash on early exit (LP: #1760741)
    - fix hotcorners pressure calculation causing crash of the
      applet (LP: #1781981)
    - fix occasional display issues with previews (LP: #1779766)
      wpreviews.patch
  * Patch 0001-Fix-GPL-license-to-be-project-consistent.patch
    Apply upstream fix to make QuickNote source copyright
    consistent with the project
  * Packaging Changes:
    - Bump Standards-Version - no changes required
    - debian/control change build-dependencies to build both vala and
      python3 applets
    - debian/control
      update descriptions for vala applets
      revise binary dependencies for hotcorners and quicknote
      change architecture for hotcorners and quicknote to any
      update BuildDepends to accommodate Vala compilation
      Add new binary packages for trash, recentlyused, applauncher and weather
    - debian/rules Add hardening instructions for Vala based applets

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 18 Sep 2018 13:06:49 +0100

budgie-extras (0.5.0-1) unstable; urgency=medium

  * New release
    - Add Kangaroo plugin
  * Packaging changes
    - debian/control drop obsolete alternate library for budgie-desktop
    - debian/control add missing runtime dependency gir1.2-peas-1.0
    - debian/control bump StandardsVersion no changes required
    - debian/control add binary package budgie-kangaroo-applet

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 08 May 2018 20:29:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,49 +7,66 @@
 		meson,
 		dh-python,
 		pep8,
-		pkg-config
-Standards-Version: 4.1.3
+		pkg-config,
+		gobject-introspection,
+		libgtk-3-dev,
+		valac,
+		budgie-core-dev,
+		libbudgie-plugin0,
+		libpeas-dev,
+		libjson-glib-dev,
+		libgee-0.8-dev,
+		intltool
+Standards-Version: 4.2.1
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
 Homepage: https://ubuntubudgie.org
 
 Package: budgie-hotcorners-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	wmctrl,
-	xdotool,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	python3-psutil,
-	dconf-cli,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Applet providing hotcorners capabilities for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
  The hotcorners applet allow user defined commands to be executed
  when the mouse cursor is pushed into a corner of the main desktop.
 
+Package: budgie-trash-applet
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Applet allows access to trash capabilities for the Budgie Desktop
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The trash applet allows the user access the desktop trash capabilities
+ from the panel including the ability to delete and restore files stored
+ in the trash folder.
+
 Package: budgie-quicknote-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	python3-psutil,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Applet providing simple notes capability for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
  The quicknote applet allows a user to record a text based note.
  The applet supports multiple undo and redo capabilities.
 
+Package: budgie-recentlyused-applet
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Applet displays files recently accessed for the Budgie Desktop
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The recentlyused applet displays the users files that have been opened
+ or created within a configurable period of time.
+
 Package: budgie-previews-applet
 Architecture: all
 Depends: python3,
@@ -57,9 +74,10 @@
 	wmctrl,
 	xdotool,
 	xprintidle,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	python3-cairo,
 	python3-gi-cairo,
@@ -78,13 +96,14 @@
 Depends: python3,
 	python3-gi,
 	wmctrl,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet providing quick access to workspaces for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -97,14 +116,15 @@
 Depends: python3,
 	python3-gi,
 	wmctrl,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	dconf-cli,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet providing per workspace wallpaper
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -120,14 +140,15 @@
 	python3-gi,
 	wmctrl,
 	xdotool,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	dconf-cli,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet allows moving windows between workspaces for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -142,15 +163,16 @@
 Depends: python3,
 	python3-gi,
 	wmctrl,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	python3-cairo,
 	python3-gi-cairo,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet displaying date and time on the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -162,9 +184,10 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	vorbis-tools,
 	zenity,
@@ -172,7 +195,7 @@
 	sound-theme-freedesktop,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet providing a countdown capability on the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -185,13 +208,14 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet adding the ability to set a different keyboard layout per application
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -204,12 +228,13 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet to lock or unlock the screen rotation
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -220,15 +245,16 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-pil,
 	python3-svgwrite,
 	python3-cairosvg,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet to display clock across multiple time zones
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -239,15 +265,16 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0 | gir1.2-budgie-desktop-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
 	python3-psutil,
 	python3-pyudev,
 	zenity,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet to popup when a USB device is connected
- This is part of a suite of python3 based applets for the Budgie
+ This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
  The applets can be used individually or as a set.
  .
@@ -258,3 +285,59 @@
  .
  The applet is context- sensitive, meaning: it only shows its icon in
  the panel if, and as long as, any usb drive is connected.
+
+Package: budgie-kangaroo-applet
+Architecture: all
+Depends: python3,
+	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
+	python3-psutil,
+	xdg-utils,
+	${misc:Depends}, ${python3:Depends}
+Description: Applet to allow quick file-browsing
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The kangaroo applet allows for quick & easy browsing, across
+ (possibly) many directory layers, without having to do a single mouse
+ click.
+
+Package: budgie-app-launcher-applet
+Architecture: all
+Depends: python3,
+	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
+	${misc:Depends}, ${python3:Depends}
+Description: Applet to provide an alternative means to launch applications
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The app-launcher applet allows the ability to add favorite apps to the
+ panel as well as finding and launching applications.  The list of
+ applications listed can be easily configured to be visible or hidden.
+
+Package: budgie-weathershow-applet
+Architecture: all
+Depends: python3,
+	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
+	gir1.2-gtk-3.0,
+	gir1.2-peas-1.0,
+	python3-requests,
+	${misc:Depends}, ${python3:Depends}
+Description: Applet to display the weather and forecast
+ This is part of a suite of python3 based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The weathershow applet displays daily and three hourly weather
+ forecasts on both the desktop and a Popover.

## budgie-extras 0.7.1

=== debian/changelog ===
budgie-extras (0.7.1-3) unstable; urgency=medium

  * Bug-fix release (LP: #1815310)
    - Add missing dconf-cli package dependency
      budgie-hotcorners-applet
      budgie-Weathershow-applet
      budgie-showtime-applet

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 09 Feb 2019 23:48:07 +0000

budgie-extras (0.7.1-2) unstable; urgency=medium

  * Bug-fix release
    - Latest Translations
      patch translations.patch
    - Fix crashes when OWN releases new weather icons
      patch weather.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 02 Feb 2019 11:46:27 +0000

budgie-extras (0.7.1-1) unstable; urgency=medium

  * Bug-fix release
    - Latest Translations
    - Bug-fix to detect language for Weathershow correctly

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 23 Jan 2019 21:32:44 +0000

budgie-extras (0.7.0-1) unstable; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - remove unneeded clockworks doc
    - drop existing patchset since now included in the new release
    - Control: budgie-weather-applet build
      and runtime dependencies updated due to python to Vala rewrite
    - Control: Add budgie-extras-common build together with dependency
      updates for several applets where they share the extras common
      component
    - Control: several build install changes where budgie-extras-common
      now replaces individual component installations
    - Copyright: updates due to extra licensing for the release
      including year change
    - Control: Bump StandardsVersion - no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 29 Dec 2018 19:53:05 +0000

budgie-extras (0.6.1-4) unstable; urgency=medium

  * Revert clockworks deprecation since package svgwrite v1.2.1 has
    now been uploaded and the RC issue is now resolved
  * Packaging Changes
    - Control: Update description, dependencies and install file
      for clockworks

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 07 Dec 2018 20:04:15 +0000

budgie-extras (0.6.1-3) unstable; urgency=medium

  * Bug-fix release
    - Support for clockworks applet has been dropped since it depends
      upon package svgwrite which FTBFS (v1.1.8).  The RC issue causes
      budgie-extras to be marked for autoremoval
  * Packaging Changes
    - Control: Update description for clockworks
    - Update clockworks install to just include its README

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 26 Nov 2018 19:41:04 +0000

=== debian/control ===
--- 
+++ 
@@ -16,15 +16,29 @@
 		libpeas-dev,
 		libjson-glib-dev,
 		libgee-0.8-dev,
-		intltool
-Standards-Version: 4.2.1
+		intltool,
+		libsoup2.4-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
 Homepage: https://ubuntubudgie.org
 
+Package: budgie-extras-common
+Architecture: any
+Depends: ${misc:Depends}
+Description: Shared component of budgie-extras applets
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The shared component provides for capabilities that are utilised between
+ budgie-extra applets.
+
 Package: budgie-hotcorners-applet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common,
+ dconf-cli
 Description: Applet providing hotcorners capabilities for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -35,7 +49,8 @@
 
 Package: budgie-trash-applet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common
 Description: Applet allows access to trash capabilities for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -47,7 +62,8 @@
 
 Package: budgie-quicknote-applet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common
 Description: Applet providing simple notes capability for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -58,7 +74,8 @@
 
 Package: budgie-recentlyused-applet
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common
 Description: Applet displays files recently accessed for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -170,6 +187,7 @@
 	python3-psutil,
 	python3-cairo,
 	python3-gi-cairo,
+	dconf-cli,
 	${misc:Depends}, ${python3:Depends}
 Description: Applet displaying date and time on the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
@@ -325,15 +343,10 @@
  applications listed can be easily configured to be visible or hidden.
 
 Package: budgie-weathershow-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	gir1.2-budgie-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	gir1.2-peas-1.0,
-	python3-requests,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common,
+ dconf-cli
 Description: Applet to display the weather and forecast
  This is part of a suite of python3 based applets for the Budgie
  Desktop that provide additional user orientated capabilities.

=== debian/tests/control ===
Test-Command: tools/run-pep8
Depends: pep8

## budgie-extras 0.8.3

=== debian/changelog ===
budgie-extras (0.8.3-0ubuntu1) disco; urgency=medium

  * Bug fix release
    - Translation update
    - Fix showtime date display for non-english locales

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 20 Mar 2019 20:24:25 +0000

budgie-extras (0.8.2-0ubuntu1) disco; urgency=medium

  *  Bug fix release
     - Lots of translation updates
     - Ensure Showtime copes correctly with desktop sizing and resizing
     - Add forgotten translation strings for AM/PM
     - Fix vertical spacing issues for Showtime
     - Cope with different locale date formats correctly - this resolves date
       display problems
  * Packaging Changes
     - Control - add libwnck-3-dev as build dependency

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 10 Mar 2019 10:24:04 +0000

budgie-extras (0.8.1-0ubuntu1) disco; urgency=medium

  * New release
    - Change from python to vala version of ShowTime applet
  * Packaging Changes
    - Control: swap python dependencies for ShowTime to vala based
      dependencies, architecture changed to any

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 17 Feb 2019 20:36:49 +0000

budgie-extras (0.8.0-0ubuntu1) disco; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - Control: Add packaging for takeabreak applet
    - Drop all patches since they have been incorporated
      in the new release

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Feb 2019 16:43:49 +0000

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
 		libjson-glib-dev,
 		libgee-0.8-dev,
 		intltool,
-		libsoup2.4-dev
+		libsoup2.4-dev,
+		libwnck-3-dev
 Standards-Version: 4.3.0
-Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
-Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
+Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian-launchpad
+Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian-launchpad
 Homepage: https://ubuntubudgie.org
 
 Package: budgie-extras-common
@@ -176,19 +177,10 @@
  and the window will move to that workspace.
 
 Package: budgie-showtime-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	wmctrl,
-	gir1.2-budgie-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	gir1.2-peas-1.0,
-	python3-psutil,
-	python3-cairo,
-	python3-gi-cairo,
-	dconf-cli,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ budgie-extras-common,
+ dconf-cli
 Description: Applet displaying date and time on the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -354,3 +346,10 @@
  .
  The weathershow applet displays daily and three hourly weather
  forecasts on both the desktop and a Popover.
+
+Package: budgie-takeabreak-applet
+Architecture: all
+Depends: python3,
+	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,

## budgie-extras 0.9.0

=== debian/changelog ===
budgie-extras (0.9.0-1) unstable; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - Control: add libwnck-3-dev, libkeybinder-3.0-dev,
      gnome-settings-daemon-dev as build dependencies
    - Control: swap python dependencies for ShowTime to vala based
      dependencies, architecture changed to any
    - Control: Add packaging for takeabreak applet,
      Workspace Stopwatch applet, Fuzzy Clock applet, Brightness
      Controller applet, Budgie Extras Daemon, Budgie Quickchar
    - Drop all patches since they have been incorporated
      in the new release
    - Control/Compat update for debhelper 12
    - Bump StandardsVersion: no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 25 Jul 2019 19:54:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
 		python3,
 		meson,
 		dh-python,
@@ -18,10 +18,12 @@
 		libgee-0.8-dev,
 		intltool,
 		libsoup2.4-dev,
-		libwnck-3-dev
-Standards-Version: 4.3.0
-Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian-launchpad
-Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian-launchpad
+		libwnck-3-dev,
+		libkeybinder-3.0-dev,
+		gnome-settings-daemon-dev
+Standards-Version: 4.4.0
+Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
+Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
 Homepage: https://ubuntubudgie.org
 
 Package: budgie-extras-common
@@ -351,5 +353,3 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
-	gir1.2-budgie-1.0,
-	gir1.2-glib-2.0,

## budgie-extras 0.10.1

=== meson_options.txt ===
--- 
+++ 
@@ -17,3 +17,8 @@
 option('build-app-launcher', type: 'boolean', value: false, description: 'Build app-launcher applet')
 option('build-recentlyused', type: 'boolean', value: false, description: 'Build recently-used applet')
 option('build-takeabreak', type: 'boolean', value: false, description: 'Build take-a-break applet')
+option('build-workspacestopwatch', type: 'boolean', value: false, description: 'Build workspace-stopwatch')
+option('build-extrasdaemon', type: 'boolean', value: false, description: 'Build extras daemon')
+option('build-quickchar', type: 'boolean', value: false, description: 'Build quickchar')
+option('build-fuzzyclock', type: 'boolean', value: false, description: 'Build fuzzy clock')
+option('build-brightness-controller', type: 'boolean', value: false, description: 'Build brightness controller applet')

=== debian/changelog ===
budgie-extras (0.10.1-0ubuntu4) eoan; urgency=medium

  * Bug-fix release
    - Do not follow symlinks pointing to other partitions when emptying the
      trash-can otherwise the location pointed to will also be deleted
      (LP: #1872197)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 11 Apr 2020 10:24:38 +0100

budgie-extras (0.10.1-0ubuntu3) eoan; urgency=medium

  * Bug-fix release
    - disable quicknote applet context menu that invoking emoji's, intel
      graphics etc causing weird graphical issues
      disable-rightclick.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Oct 2019 19:05:27 +0100

budgie-extras (0.10.1-0ubuntu2) eoan; urgency=medium

  * Bug-fix release
    - install missing quickchar menu desktop file

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 20 Sep 2019 21:33:56 +0100

budgie-extras (0.10.1-0ubuntu1) eoan; urgency=medium

  * New bug-fix-release
    - see ChangeLog
  * Packaging Changes
    - remove unneeded docs and include-binaries files
    - Add missing dependencies for hotcorners applet
    - Add missing dependency for recentlyused applet
    - Add missing dependency for weathershow applet
    - Add missing dependency for previews
    - Add missing dependency for takeabreak applet
    - Remove unneeded dependency for quickchar

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 15 Sep 2019 10:53:58 +0100

budgie-extras (0.10.0-0ubuntu1) eoan; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - Control change previews from a python3 based app to a vala based
      application.  Description updated for the package
    - Previews install files updated

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 21 Aug 2019 20:22:52 +0100

budgie-extras (0.9.1-1) unstable; urgency=medium

  * New release
    - See ChangeLog
  * Packaging Changes
    - Control swap build-depends pep8 for pycodestyle

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 14 Aug 2019 18:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 		python3,
 		meson,
 		dh-python,
-		pep8,
+		pycodestyle,
 		pkg-config,
 		gobject-introspection,
 		libgtk-3-dev,
@@ -41,7 +41,9 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  budgie-extras-common,
- dconf-cli
+ dconf-cli,
+ gnome-screensaver,
+ libnotify-bin
 Description: Applet providing hotcorners capabilities for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -78,7 +80,8 @@
 Package: budgie-recentlyused-applet
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- budgie-extras-common
+ budgie-extras-common,
+ xdg-utils
 Description: Applet displays files recently accessed for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -88,28 +91,18 @@
  or created within a configurable period of time.
 
 Package: budgie-previews-applet
-Architecture: all
-Depends: python3,
-	python3-gi,
-	wmctrl,
-	xdotool,
-	xprintidle,
-	gir1.2-budgie-1.0,
-	gir1.2-glib-2.0,
-	gir1.2-gtk-3.0,
-	gir1.2-peas-1.0,
-	python3-psutil,
-	python3-cairo,
-	python3-gi-cairo,
-	dconf-cli,
-	imagemagick,
-	${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: budgie-extras-daemon,
+  ${misc:Depends}, ${shlibs:Depends},
+  xprintidle
 Description: Applet providing window previews capabilities for the Budgie Desktop
- This is part of a suite of python3 based applets for the Budgie
- Desktop that provide additional user orientated capabilities.
- The applets can be used individually or as a set.
- .
- The Previews applet shows an overview of windows in an expose like way.
+ This is part of a suite of python3 and Vala based applets & mini-apps
+ created for the Budgie Desktop that provide additional user orientated
+ capabilities. These can be used individually or as a set.
+ .
+ budgie-previews can be used on most desktop environments.
+ .
+ Previews shows an overview of windows in an expose like way.
 
 Package: budgie-workspace-overview-applet
 Architecture: all
@@ -340,7 +333,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  budgie-extras-common,
- dconf-cli
+ dconf-cli,
+ procps
 Description: Applet to display the weather and forecast
  This is part of a suite of python3 based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -353,3 +347,5 @@
 Architecture: all
 Depends: python3,
 	python3-gi,
+	gir1.2-budgie-1.0,
+	gir1.2-glib-2.0,
